#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class Player;

struct Shared {
	~Shared()
	{
		window = nullptr;
		view = nullptr;
		bg = nullptr;
		evm = nullptr;
		fog = nullptr;
	}
	RenderWindow* window;
	View* view;
	Sprite* bg;
	Sprite* evm;
	Sprite* fog;
	Vector2u size;
	bool running;
	bool jump;
	bool paused;
	std::vector<IntRect> cb;
	std::vector<IntRect> cp;
	std::vector<Vector2i> tpa;
	std::vector<Vector2i> tpb;
	std::vector<IntRect> hz;
	std::vector<IntRect> gz;
	Player* p;
	int state;

	Time _t;
	unsigned _s;
	unsigned _h;
	float _e;
};
